$(document).ready(function () {
    // Функция для выполнения AJAX-запроса
    function fetchData(sectionId, subSectionId, callback) {
        $.ajax({
            url: window.location.href, // URL текущей страницы
            type: 'POST',
            data: { SECTION_PARENT_ID: sectionId, IBLOCK_SECTION: subSectionId },
            dataType: 'html',
            success: function (data) {
                callback($(data)); // Вызываем колбек с обработанными данными
            }
        });
    }

    // Делегирование событий на родительский элемент
    $('#sections_list').on('change', 'input[name="selected_section"]', function () {
        var sectionId = $(this).val();
        $('#sections_list input[name="selected_section"]').prop('checked', false);

        if (sectionId) {
            fetchData(sectionId, null, function (data) {
                let newContent = data.find('#sections_list').html(); // Получаем содержимое блока #sections_list
                $('#sections_list').html(newContent); // Обновляем содержимое блока #sections_list
            });
        }
    });

    // Обработка изменения в выборе подкатегории
    $('#sections_list').on('change', 'input[name="IBLOCK_SECTION"]', function () {
        var sectionId = $('input[name="selected_section"]:checked').val();
        var subSectionId = $(this).val();

        // Отправляем ID выбранного подраздела на сервер, если он выбран
        if (subSectionId) {
            fetchData(sectionId, subSectionId, function (data) {
                let newContent = data.find('#show_all_fields').html();
                $('#show_all_fields').html(newContent);
                $('#hiddenBlocks').show();
                $('#show_all_fields')[0].scrollIntoView({ behavior: 'smooth', block: 'start' }); // Прокручиваем к элементу
            });
        }
    });
});